Path traversal in Nextcloud Calendar



Published: 2023-05-29
Risk Low
Patch available YES
Number of vulnerabilities 1
CVE-ID CVE-2023-33183
CWE-ID CWE-22
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
Nextcloud Calendar
Web applications / Modules and components for CMS

Vendor Nextcloud

Security Bulletin

This security bulletin contains one low risk vulnerability.

1) Path traversal

EUVDB-ID: #VU76587

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2023-33183

CWE-ID: CWE-22 - Improper Limitation of a Pathname to a Restricted Directory ('Path Traversal')

Exploit availability: No

Description

The vulnerability allows a remote attacker to perform directory traversal attacks.

The vulnerability exists due to input validation error when processing directory traversal sequences. A remote attacker can send a specially crafted HTTP request and read arbitrary files on the system.

Mitigation

Install update from vendor's website.

Vulnerable software versions

Nextcloud Calendar: 3.5.4 - 4.2.2

CPE2.3 External links

http://github.com/nextcloud/security-advisories/security/advisories/GHSA-2792-2734-hr7j


Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###